# List a suite's runs

Source: https://docs.vlayers.ai/reference/test/list-suite-runs

`GET /v1/tests/{id}/runs` · scope `workspace:read`

A suite's runs, newest first, each with how many cases passed, failed or were refused. Pass `cursor` for the next page.

Requires an API key with the `workspace:read` scope.

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string | yes | The suite id. Example: `"0192f5f8-c1d0-7b2e-8d7e-8f9012345678"` |
| `cursor` | query | string | no | The `nextCursor` of the previous page. Example: `"MjAyNi0xMS0xMg"` |
| `limit` | query | integer | no | How many items to return, 1–100. Default 25. Example: `20` |

## Request

cURL:

```bash
curl "https://api.vlayers.ai/v1/tests/$SUITE_ID/runs" \
  -H "Authorization: Bearer $VOICELAYER_API_KEY"
```

TypeScript:

```ts
import { VoiceLayer } from '@voicelayer/api';

const voicelayer = new VoiceLayer();

const { runs } = await voicelayer.test.listSuiteRuns('<suite-id>');
console.log(runs);
```

Python:

```python
from voicelayer import VoiceLayer

vl = VoiceLayer()

result = vl.test.list_suite_runs("<suite-id>")
print(result.runs)
```

## Response `200`

```json
{
  "runs": [
    {
      "id": "0192f5fa-e3f2-7d40-8f90-0123456789ab",
      "suiteId": "0192f5f8-c1d0-7b2e-8d7e-8f9012345678",
      "versionId": "0192f5d5-9cad-7ebf-9a4b-5c6d7e8f9012",
      "status": "queued",
      "quoteMaxUsd": 1.2,
      "cases": 3,
      "passed": 0,
      "failed": 0,
      "refused": 0,
      "createdBy": "user_2abc",
      "createdAt": "2026-10-20T15:04:05.000Z",
      "finishedAt": null,
      "expiresAt": "2026-10-20T15:04:05.000Z"
    }
  ],
  "nextCursor": null
}
```
